
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(LIB_SYNCTHING_CONNECTOR_HAS_SHARED_LIB ON)
if(LIB_SYNCTHING_CONNECTOR_HAS_SHARED_LIB)
    set(LIB_SYNCTHING_CONNECTOR_SHARED_LIB "syncthingconnector")
    set(LIB_SYNCTHING_CONNECTOR_SHARED_LIB_DEPENDS c++utilities;Qt5::Core;Qt5::Network)
    set(LIB_SYNCTHING_CONNECTOR_SHARED_LIB_COMPILE_DEFINITIONS )
    set(PC_PKG_SHARED_syncthingconnector "syncthingconnector")
    set(LIB_SYNCTHING_CONNECTOR_LIB "${LIB_SYNCTHING_CONNECTOR_SHARED_LIB}")
    if(NOT TARGET "${LIB_SYNCTHING_CONNECTOR_SHARED_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingconnectorSharedTargets.cmake")
    endif()
else()
    set(LIB_SYNCTHING_CONNECTOR_LIB "${LIB_SYNCTHING_CONNECTOR_STATIC_LIB}")
endif()

set(LIB_SYNCTHING_CONNECTOR_HAS_STATIC_LIB ON)
if(LIB_SYNCTHING_CONNECTOR_HAS_STATIC_LIB)
    set(LIB_SYNCTHING_CONNECTOR_STATIC_LIB "syncthingconnector_static")
    set(LIB_SYNCTHING_CONNECTOR_STATIC_LIB_DEPENDS c++utilities_static;StaticQt5::Core;StaticQt5::Network general;general)
    set(LIB_SYNCTHING_CONNECTOR_STATIC_LIB_COMPILE_DEFINITIONS LIB_SYNCTHING_CONNECTOR_STATIC)
    set(PC_PKG_STATIC_syncthingconnector_static "syncthingconnector_static")
    if(NOT TARGET "${LIB_SYNCTHING_CONNECTOR_STATIC_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/syncthingconnectorStaticTargets.cmake")
    endif()
endif()

set(LIB_SYNCTHING_CONNECTOR_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(LIB_SYNCTHING_CONNECTOR_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(LIB_SYNCTHING_CONNECTOR_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(LIB_SYNCTHING_CONNECTOR_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingconnector/cmake/modules")
set(LIB_SYNCTHING_CONNECTOR_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/syncthingconnector/cmake")
set(LIB_SYNCTHING_CONNECTOR_PRIVATE_QT_MODULES "Core;Network")
set(LIB_SYNCTHING_CONNECTOR_PRIVATE_KF_MODULES "")
set(LIB_SYNCTHING_CONNECTOR_PUBLIC_QT_MODULES "Core;Network")
set(LIB_SYNCTHING_CONNECTOR_PUBLIC_KF_MODULES "")

macro(use_syncthingconnector)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${LIB_SYNCTHING_CONNECTOR_MODULE_DIRS})
    # add include and link directories
    include_directories(BEFORE SYSTEM ${LIB_SYNCTHING_CONNECTOR_INCLUDE_DIRS})
    link_directories(${LIB_SYNCTHING_CONNECTOR_LIB_DIR})
    # link against library
    include(3rdParty)
    if(NOT ARGV0)
        set(LIB_SYNCTHING_CONNECTOR_LINKAGE AUTO_LINKAGE)
    else()
        set(LIB_SYNCTHING_CONNECTOR_LINKAGE "${ARG0}")
    endif()
    link_against_library(LIB_SYNCTHING_CONNECTOR "${LIB_SYNCTHING_CONNECTOR_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES ${LIB_SYNCTHING_CONNECTOR_PUBLIC_QT_MODULES})
    list(APPEND IMPORTED_KF_MODULES ${LIB_SYNCTHING_CONNECTOR_PUBLIC_KF_MODULES})
endmacro()
